curl --request GET \
--url https://devx.{environment}.oleria.io/v1/departments/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://devx.{environment}.oleria.io/v1/departments/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://devx.{environment}.oleria.io/v1/departments/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "A34938434",
"name": "Engineering",
"objectMetadata": {
"ApplicationInstanceId": "<string>",
"GeneratedTime": "2023-11-07T05:31:56Z",
"Profile": "Account",
"ObjectOrRelationshipType": "<string>"
},
"globalId": "<string>",
"oleriaObjectMetadata": {
"enrichmentVersion": "<string>",
"generatedTime": "2023-11-07T05:31:56Z"
},
"authorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"companyCode": "E39284",
"createdDate": "2024-05-02T03:17:34.948Z",
"lastModifiedDate": "2024-05-02T03:17:34.948Z",
"objectDirectoryContainerFederation": {
"isFederated": true,
"authenticationKey": "<string>"
},
"objectDirectoryContainerId": "repo:R_kgDOLL0doQ (GitHub based on repository node identifier), 1BUxdX4M-H7X8GKRgTjprJS8fjY_Ij1giE82lQlny2kc (Google Drive based on file id)",
"type": "Division, Business Unit",
"globalAuthorizedLocations": {
"isInherited": true,
"policy": {
"allowAll": true,
"authorizedLocations": [
{
"type": "Network",
"typeSpecificData": {
"ipAddressExclusions": [
"<string>"
],
"ipAddressInclusions": [
"<string>"
],
"name": "<string>",
"supplementaryInformation": {
"geoLocation": {
"latitude": 123,
"longtitude": 123
},
"additionalLocationMetadata": [
{
"id": "<string>",
"name": "<string>",
"namespace": "<string>",
"type": "array_boolean",
"value": "<unknown>"
}
]
}
}
}
]
}
},
"globalObjectDirectoryContainerId": "<string>",
"sorPrimaryStewardEmail": "<string>"
}{
"code": "BAD_REQUEST",
"message": "The request was malformed."
}{
"code": "UNAUTHORIZED",
"message": "Missing or invalid authentication token."
}{
"code": "FORBIDDEN",
"message": "The token lacks the required scope."
}{
"code": "NOT_FOUND",
"message": "No resource with the given id."
}{
"code": "TOO_MANY_REQUESTS",
"message": "Rate limit exceeded. Retry after the specified interval."
}{
"code": "INTERNAL_ERROR",
"message": "An unexpected error occurred."
}Get
Returns a department by its global id. Requires the https://devx.{environment}.oleria.io/read scope.
Authorizations
OAuth 2.0 client-credentials flow. Request an access token from the token endpoint and send it as Authorization: Bearer <token>.
Path Parameters
Global id of the department.
Response
The department.
An Oleria Department object represents a business department or organizational unit associated with employee records and organizational hierarchy in an enterprise HR system, identity provider, or directory service
An identifier for a Department object in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application id so connections to the object are robust to metadata changes and other relevant operations.
"A34938434"
"Engineering"
The ObjectMetadata structure defines metadata that applies to every object and relationship, and is usually managed by the system that receives the data
Show child attributes
Show child attributes
object metadata supersets object metadata with platform enrichment provenance — the enrichment version and the time the record was generated
Show child attributes
Show child attributes
AuthorizedLocationPolicy is used to specify locations authorized for use by accounts, groups, roles, employees, departments, etc.
Show child attributes
Show child attributes
"E39284"
The date the Department object was created
"2024-05-02T03:17:34.948Z"
The date the _Department object was last modified
"2024-05-02T03:17:34.948Z"
Federation information used when specifying an EntityIdentifier
Show child attributes
Show child attributes
An identifier (unique to the integrated application) for a ObjectDirectory object represented in the Oleria system. Oleria converts these identifiers to global ids so they can be unique in the context of the global system graph. It is important for this identifier to be based on an underlying persistent and reusable application or identity provider id so connections to the object are robust to metadata changes and other relevant operations
"repo:R_kgDOLL0doQ (GitHub based on repository node identifier), 1BUxdX4M-H7X8GKRgTjprJS8fjY_Ij1giE82lQlny2kc (Google Drive based on file id)"
The type for the Department object allowing it to represent different types of organizational units (this can be used as a display name)
"Division, Business Unit"
AuthorizedLocationPolicy is used to specify locations authorized for use by accounts, groups, roles, employees, departments, etc.
Show child attributes
Show child attributes

